XdkWrl: DeclaredNodeWithBindings Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# DeclaredNodeWithBindings Class Reference
[Base Types]

`#include <proto.h>`

Inherits DeclaredNode.

Inherited by ProtoDeclaration, and ProtoInstance.

List of all members.

## Public Types
typedef std::pair< std::string, std::string > | Binding
typedef std::map< Node *, std::list< Binding > > | BindingMap
## Public Member Functions
| DeclaredNodeWithBindings (const char *name="")
void | bindFields (Node *n, const char *to, const char *from)
void | bindEventsIn (Node *n, const char *to, const char *from)
void | bindEventsOut (Node *n, const char *to, const char *from)
const BindingMap & | fieldBindings () const
const BindingMap & | eventInBindings () const
const BindingMap & | eventOutBindings () const
virtual void | setField (const FieldHandle &f, const SFBool &)
virtual void | setField (const FieldHandle &f, const SFColor &)
virtual void | setField (const FieldHandle &f, const SFFloat &)
virtual void | setField (const FieldHandle &f, const SFImage &)
virtual void | setField (const FieldHandle &f, const SFInt32 &)
virtual void | setField (const FieldHandle &f, const SFNode &)
virtual void | setField (const FieldHandle &f, const SFRotation &)
virtual void | setField (const FieldHandle &f, const SFString &)
virtual void | setField (const FieldHandle &f, const SFTime &)
virtual void | setField (const FieldHandle &f, const SFVec2f &)
virtual void | setField (const FieldHandle &f, const SFVec3f &)
virtual void | setField (const FieldHandle &f, const MFColor &)
virtual void | setField (const FieldHandle &f, const MFFloat &)
virtual void | setField (const FieldHandle &f, const MFInt32 &)
virtual void | setField (const FieldHandle &f, const MFNode &)
virtual void | setField (const FieldHandle &f, const MFRotation &)
virtual void | setField (const FieldHandle &f, const MFString &)
virtual void | setField (const FieldHandle &f, const MFTime &)
virtual void | setField (const FieldHandle &f, const MFVec2f &)
virtual void | setField (const FieldHandle &f, const MFVec3f &)
## Protected Member Functions
void | propagateBindings ()
## Protected Attributes
BindingMap | fieldBindings_
BindingMap | eventInBindings_
BindingMap | eventOutBindings_

## Member Typedef Documentation

typedef std::pair<std::string,std::string> Binding

typedef std::map<Node*,std::list<Binding> > BindingMap

## Constructor & Destructor Documentation

DeclaredNodeWithBindings | ( | const char * | name = `""` | ) |

## Member Function Documentation

void bindFields | ( | Node * | n,
|  | const char * | to,
|  | const char * | from |
| ) |  |  |

void bindEventsIn | ( | Node * | n,
|  | const char * | to,
|  | const char * | from |
| ) |  |  |

void bindEventsOut | ( | Node * | n,
|  | const char * | to,
|  | const char * | from |
| ) |  |  |

const DeclaredNodeWithBindings::BindingMap & fieldBindings | ( |  | ) | const`[inline]`

const DeclaredNodeWithBindings::BindingMap & eventInBindings | ( |  | ) | const`[inline]`

const DeclaredNodeWithBindings::BindingMap & eventOutBindings | ( |  | ) | const`[inline]`

void setField | ( | const FieldHandle & | f,
|  | const SFBool & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFColor & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFFloat & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFImage & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFInt32 & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFNode & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFRotation & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFString & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFTime & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFVec2f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const SFVec3f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFColor & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFFloat & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFInt32 & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFNode & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFRotation & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFString & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFTime & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFVec2f & |  |
| ) |  |  | `[virtual]`

void setField | ( | const FieldHandle & | f,
|  | const MFVec3f & |  |
| ) |  |  | `[virtual]`

void propagateBindings | ( |  | ) | `[protected]`

## Member Data Documentation

BindingMap fieldBindings_`[protected]`

BindingMap eventInBindings_`[protected]`

BindingMap eventOutBindings_`[protected]`

Generated on 5 Jan 2007 with version 1.5.1. |